Pardus rx570 ekran kartı kurulumu

(doğan) #1

Pardus 19 için rx570 ekran kartı kurulumu nasıl yapılır? Amd sitesinden ubuntu için olan sürücüsünü indirdim:

sudo ./amdgpu-install
Unsupported OS

uyarısı alıyorum.

0 Likes

(Kemal Oktay Aktoğan) #2

Selamün Aleyküm

Kurulum betiğinin(script) yani amdgpu-install dosyasının olduğu yerde aşağıdaki komutu çalıştırıp kurulum yapmayı tekrar deneyiniz.

sed -i 's/ubuntu|linuxmint|debian/ubuntu|linuxmint|debian|pardus/' amdgpu-install

0 Likes

(doğan) #3

Aleyküm selam

Aşağıdaki uyarıları aldım:

coder@pardus:~/Masaüstü/amdgpu-pro-19.30-855429-ubuntu-18.04$ sudo sed -i ‘s/ubuntu|linuxmint|debian/ubuntu|linuxmint|debian|pardus/’ amdgpu-install
coder@pardus:~/Masaüstü/amdgpu-pro-19.30-855429-ubuntu-18.04$ sudo ./amdgpu-install
deb [ trusted=yes ] file:/var/opt/amdgpu-pro-local/ ./
İndir: 1 file:/var/opt/amdgpu-pro-local ./ InRelease
Yoksay:1 file:/var/opt/amdgpu-pro-local ./ InRelease
İndir: 2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
İndir: 2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
İndir: 3 file:/var/opt/amdgpu-pro-local ./ Release.gpg
Yoksay:3 file:/var/opt/amdgpu-pro-local ./ Release.gpg
Aynı: 4 http://depo.pardus.org.tr/pardus ondokuz InRelease
Aynı: 5 http://depo.pardus.org.tr/guvenlik ondokuz InRelease
Yoksay:6 http://dl.google.com/linux/chrome/deb stable InRelease
Aynı: 7 http://dl.google.com/linux/chrome/deb stable Release
Paket listeleri okunuyor… Bitti
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
amdgpu-pro-pin zaten en yeni sürümde (19.30-855429).
‘amdgpu-pro-pin’ paketinin ‘19.30-855429’ (localhost [all]) sürümü seçildi
Aşağıdaki paketler otomatik olarak kurulmuş ve artık bu paketlere gerek duyulmuyor:
git-man liberror-perl
Bu paketleri kaldırmak için ‘sudo apt autoremove’ komutunu kullanın.
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 1 paket yükseltilmeyecek.
2 paket tam olarak kurulmayacak ya da kaldırılmayacak.
Bu işlem tamamlandıktan sonra 0 B ek disk alanı kullanılacak.
Devam etmek istiyor musunuz? [E/h] e
Ayarlanıyor: amdgpu-dkms (19.30-855429) …
Removing old amdgpu-19.30-855429 DKMS files…


Deleting module version: 19.30-855429
completely from the DKMS tree.

Done.
Loading new amdgpu-19.30-855429 DKMS files…
Building for 4.19.0-5-amd64
Building for architecture amd64
Building initial module for 4.19.0-5-amd64
Error! Bad return status for module build on kernel: 4.19.0-5-amd64 (amd64)
Consult /var/lib/dkms/amdgpu/19.30-855429/build/make.log for more information.
dpkg: amdgpu-dkms paketi işlenirken sorun yaşandı (–configure):
amdgpu-dkms paketi post-installation betiği kuruldu alt süreci 10 hatalı çıkış kodu ile sona erdi
dpkg: bağımlılık sorunları yüzünden amdgpu paketi yapılandırılamıyor:
amdgpu şuna bağımlı: amdgpu-dkms (= 19.30-855429), ama:
amdgpu-dkms paketi henüz yapılandırılmadı.

dpkg: amdgpu paketi işlenirken sorun yaşandı (–configure):
bağımlılık sorunları - yapılandırılmadan bırakılıyor
İşleme sırasında hatalarla karşılaşıldı:
amdgpu-dkms
amdgpu
E: Sub-process /usr/bin/dpkg returned an error code (1)

0 Likes

(Kemal Oktay Aktoğan) #4

sudo dpkg --configure amdgpu-dkms
sudo apt -f install

Yukarıdaki komutları deneyebilir misiniz?
Eğer hata verirse bir daha deneyiniz.

0 Likes

(doğan) #5

Yine uyarılar verdi:

coder@pardus:~/Masaüstü/amdgpu-pro-19.30-855429-ubuntu-18.04$ sudo dpkg --configure amdgpu-dkms
Ayarlanıyor: amdgpu-dkms (19.30-855429) …
Removing old amdgpu-19.30-855429 DKMS files…


Deleting module version: 19.30-855429
completely from the DKMS tree.

Done.
Loading new amdgpu-19.30-855429 DKMS files…
Building for 4.19.0-5-amd64
Building for architecture amd64
Building initial module for 4.19.0-5-amd64
Error! Bad return status for module build on kernel: 4.19.0-5-amd64 (amd64)
Consult /var/lib/dkms/amdgpu/19.30-855429/build/make.log for more information.
dpkg: amdgpu-dkms paketi işlenirken sorun yaşandı (–configure):
amdgpu-dkms paketi post-installation betiği kuruldu alt süreci 10 hatalı çıkış kodu ile sona erdi
İşleme sırasında hatalarla karşılaşıldı:
amdgpu-dkms
coder@pardus:~/Masaüstü/amdgpu-pro-19.30-855429-ubuntu-18.04$ sudo apt -f install
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.
2 paket tam olarak kurulmayacak ya da kaldırılmayacak.
Bu işlem tamamlandıktan sonra 0 B ek disk alanı kullanılacak.
Ayarlanıyor: amdgpu-dkms (19.30-855429) …
Removing old amdgpu-19.30-855429 DKMS files…


Deleting module version: 19.30-855429
completely from the DKMS tree.

Done.
Loading new amdgpu-19.30-855429 DKMS files…
Building for 4.19.0-5-amd64
Building for architecture amd64
Building initial module for 4.19.0-5-amd64
Error! Bad return status for module build on kernel: 4.19.0-5-amd64 (amd64)
Consult /var/lib/dkms/amdgpu/19.30-855429/build/make.log for more information.
dpkg: amdgpu-dkms paketi işlenirken sorun yaşandı (–configure):
amdgpu-dkms paketi post-installation betiği kuruldu alt süreci 10 hatalı çıkış kodu ile sona erdi
dpkg: bağımlılık sorunları yüzünden amdgpu paketi yapılandırılamıyor:
amdgpu şuna bağımlı: amdgpu-dkms (= 19.30-855429), ama:
amdgpu-dkms paketi henüz yapılandırılmadı.

dpkg: amdgpu paketi işlenirken sorun yaşandı (–configure):
bağımlılık sorunları - yapılandırılmadan bırakılıyor
İşleme sırasında hatalarla karşılaşıldı:
amdgpu-dkms
amdgpu
E: Sub-process /usr/bin/dpkg returned an error code (1)

0 Likes

(system) kapatıldı #6

Bu konu son cevaptan 10 gün sonra otomatik olarak kapatıldı. Yeni cevap girilmesine izin verilmiyor.

0 Likes